import pytest

from data import model
from endpoints.api import api
from endpoints.api.test.shared import client_with_identity, conduct_api_call
from endpoints.api.organization import Organization
from test.fixtures import *

@pytest.mark.parametrize('expiration, expected_code', [
    (0, 200),
    (100, 400),
    (100000000000000000000, 400),
])
def test_change_tag_expiration(expiration, expected_code, client):
  with client_with_identity('devtable', client) as cl:
    conduct_api_call(cl, Organization, 'PUT', {'orgname': 'buynlarge'},
                     body={'tag_expiration_s': expiration},
                     expected_code=expected_code)
