import pytest

from endpoints.api.trigger import is_parent


@pytest.mark.parametrize('context,dockerfile_path,expected', [
  ("/", "/a/b", True),
  ("/a", "/a/b", True),
  ("/a/b", "/a/b", False),
  ("/a//", "/a/b", True),
  ("/a", "/a//b/c", True),
  ("/a//", "a/b", True),
  ("/a/b", "a/bc/d", False),
  ("/d", "/a/b", False),
  ("/a/b", "/a/b.c", False),
  ("/a/b", "/a/b/b.c", True),
  ("", "/a/b.c", False),
  ("/a/b", "", False),
  ("", "", False),
])
def test_super_user_build_endpoints(context, dockerfile_path, expected):
  assert is_parent(context, dockerfile_path) == expected
